I upgraded on 16.04 Ubuntu from 0.28 to 0.29 using the repositories, and I think the database upgrade portion failed.

Clients cannot connect to backend and backend cannot start the database.

From console starting the backend:

2017-08-08 08:06:30.200754 N  AutoExpire: CalcParams(): Max required Free Space: 200.0 GB w/freq: 15 min
2017-08-08 08:06:30.522258 I  Bonjour: Service registration complete: name 'Mythbackend on KISE-055' type '_mythbackend._tcp.' domain: 'local.'
2017-08-08 08:06:31.077985 C  MainServer: MainServer::HandleVersion - Client speaks protocol version 88 but we speak 91!
2017-08-08 08:06:31.078770 I  Control sock(1742760) disconnected
2017-08-08 08:06:31.080545 C  MainServer: MainServer::HandleVersion - Client speaks protocol version 88 but we speak 91!
2017-08-08 08:06:31.081065 I  Control sock(1735860) disconnected

Unsure how to complete or restore the database...

I tried this:

/usr/share/mythtv$ ./mythconverg_restore.pl --drop_database --create_database --directory /pvu/db_bu/ --filename mythconverg-1344-20170808050503.sql.gz

and got this result:

Shall I upgrade this database? [yes]  yes
2017-08-08 09:32:21.659464 C  Upgrading to MythTV schema version 1345
2017-08-08 09:32:21.690326 C  Upgrading to MythTV schema version 1346
2017-08-08 09:32:21.736203 C  Upgrading to MythTV schema version 1347
2017-08-08 09:32:21.741109 C  Upgrading to MythTV schema version 1348
2017-08-08 09:32:21.872756 I  Database schema upgrade complete.
2017-08-08 09:32:21.873649 I  Loading en_us translation for module mythfrontend
2017-08-08 09:32:21.875720 N  MythBackend: Starting up as the master server.

Which still produced the "Client speaks protocol version 88 but we speak 91!" error

Update:Workaround - downgraded to 0.28 from 0.29 and restored database from a backup. Still waiting for an answer... .. .

  • Is Mythbuntu 16.04 an official flavour of Ubuntu ? – George Udosen Aug 8 '17 at 15:58
  • @George The distribution is Ubuntu 16.04 LTS Originally installed as Mythbuntu(deprecated) and is now Ubuntu, sorry for confusion. – keepitsimpleengineer Aug 8 '17 at 16:52
  • How did you do the upgrade? – jarno Aug 28 at 14:44

"Client speaks protocol version 88 but we speak 91" means your backend and frontend (client) do not run the same version. Specifically it means your backend is newer than your frontend.

Version 88 is for MythTV 0.28, version 91 is for MythTV 29.

See MYTH_PROTO_VERSION in 0.28 and 29:

You will need to update (all) your clients to MythTV 29. By default Xenial ships with MythTV 0.28, Ubuntu 17.10 includes MythTV 29. But there is a MythTV 29 PPA provided by the old Mythbuntu Team for Ubuntu 14.04 trusty and upwards.

Tip: Github is used to store a lot of open source projects. It could be wise to learn how to navigate the searchbox and 'branch'-pulldown-menu there.

  • Thanks Henk Poley for the valuable input, but the problem was after upgrading the backend using the MythTV 29 PPA the problem occurred with 0.29 clients, the fundamental problem being a failure during the upgrade. I have backed everything back to 0.28 am awaiting sufficient motivation ;) – keepitsimpleengineer Aug 12 '17 at 1:08

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.